Subject: Re: Git-aware HTTP transport

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 28 Aug 2008 10:47:17 -0700

Shawn O. Pearce wrote:
>   GET /intl/en_ALL/images/logo.gif HTTP/1.0

> Anyway, I didn't send any browser data, so the server had to assume
> the dumbest f'ing browser on the planet, and I got back binary data.

Slight nitpick: you did (HTTP/1.0).  If you really want to show the 
bottom-of-the barrel behaviour, drop that off which gets you HTTP 0.x 
behaviour -- not exactly commonly encountered today :)  HTTP 0.x had no 
provisions for a request header, so you should not need to send a blank 
line after the GET.

	-hpa